mq
==

MoQuality CLI

* [Install](#install)
* [Commands](#commands)

# Install

with yarn:
```
$ yarn global add mq-cli
```

or with npm:
```
$ npm install -g mq-cli
```

```sh-session
$ npm install -g mq-cli
$ mq COMMAND
running command...
$ mq (-v|--version|version)
mq-cli/0.0.12 darwin-x64 node-v9.10.0
$ mq --help [COMMAND]
USAGE
  $ mq COMMAND
```
# Commands

* [mq get-recorder](#mq-get-recorder)
* [mq help [COMMAND]](#mq-help-command)
* [mq login](#mq-login)
* [mq user](#mq-user)
* [mq apps](#mq-apps)
* [mq upload](#mq-upload)
* [mq devices](#mq-devices)
* [mq tests](#mq-tests)
* [mq suites](#mq-suites)
* [mq schedule](#mq-schedule)
* [mq status](#mq-status)


## mq get-recorder

Downloads or Updates the Recorder

```
USAGE
  $ mq get-recorder
```

## mq help [COMMAND]

display help for mq

```
USAGE
  $ mq help [COMMAND]

ARGUMENTS
  COMMAND  command to show help for

OPTIONS
  --all  see all commands in CLI
```

## mq login

Login to MoQuality using email/password or API Key

```
USAGE
  $ mq login

OPTIONS
  -e, --email=email        email of user
  -p, --password=password  password of user
  -a, --api_key=api_key    api_key of user
```

## mq user

Show User Info

```
USAGE
  $ mq user
```


## mq apps

Show Apps

```
USAGE
  $ mq apps
```

## mq upload

Uploads a new version to an App project on MoQuality. You can supply an optional label for this version using `-v`

```
USAGE
  $ mq upload

OPTIONS
  -a, --app=app          app id
  -f, --file=file        location of app
  -v, --version=version  version
```


## mq devices

Show Devices. Use these devices while scheduling test runs

```
USAGE
  $ mq devices

OPTIONS
  -a, --app=app  app id
```

## mq tests

Show Tests recorded for a particular App project

```
USAGE
  $ mq tests

OPTIONS
  -a, --app=app  app id
```


## mq suites

Show Tests Suites created for a particular App project

```
USAGE
  $ mq suites

OPTIONS
  -a, --app=app  app id
```

## mq schedule

Schedule test runs for a particular app project. Runs are scheduled on the last uploaded version.

```
USAGE
  $ mq schedule

OPTIONS
  -a, --app=app  app id
  -s, --suite=suite suite id 
  -d, --device=device device group id
```

## mq status

Shows status on all test runs for the latest version uploaded for a particular app project.

```
USAGE
  $ mq status

OPTIONS
  -a, --app=app  app id
```
