const {Command, flags} = require('@oclif/command')
var config = require('../lib/config');
var client = require('../lib/client');
const ctable = require('console.table');

class AppsCommand extends Command {
    async run() {
        config().then(function(config) {
            return client.get('apps', {
                headers: {'X-API-KEY': config['api_key']}
            });
        }).then(function (response) {
            var table_data = [];
            response.data.forEach(function(app) {
                table_data.push({
                    'app_type': app.app_type,
                    'app_id': app.id,
                    'app_name': app.app_name,
                    'latest version': app.labels && app.labels.pop(),
                });
            });
                
            const table = ctable.getTable(table_data);
            console.log(table);
        }).catch(function (error) {
            console.log(error.response.data.message);
        }, function (err) {
            console.log(err.message);
        });
      }
  }
  
  AppsCommand.description = `Show Apps`
  
  AppsCommand.flags = {
  }
  
  module.exports = AppsCommand
  