const {Command, flags} = require('@oclif/command')
var config = require('../lib/config');
var client = require('../lib/client');
const ctable = require('console.table');

class DevicesCommand extends Command {
    async run() {
        const {flags} = this.parse(DevicesCommand)
        if (flags.app == null) {
            console.log("app is null");
            return;
        }
        config().then(function(config) {
            return client.get('apps/'+ flags.app +'/device/groups', {
                headers: {'X-API-KEY': config['api_key']}
            });
        }).then(function (response) {
            if(response.data.length == 0) {
                console.log("No device groups were created for this App");
                return
            }
            var table_data = [];
            response.data.forEach(function(group) {
                table_data.push({
                    'id': group.id,
                    'name': group.name,
                    'description': group.description,
                    'devices': group.devices.map(device => device.name),
                });
            });
            
            const table = ctable.getTable(table_data);
            console.log(table);
        }).catch(function (err) {
                console.log(err.response.data.message || err.message);
        }, function (err) {
            console.log(err.message);
        });
      }
  }
  
  DevicesCommand.description = `Show Devices`
  
  DevicesCommand.flags = {
    app: flags.string({char: 'a', description: 'app id'}),
  }
  
  module.exports = DevicesCommand
  