const {Command, flags} = require('@oclif/command');
const os = require('os');
const fs = require('fs');
const request  = require('request');
const progress = require('request-progress');
var targz = require('targz');
var tmp = require('tmp');
var path = require('path');

class DownloadCommand extends Command {
    async run() {

      tmp.file(function (err, tmp_file, fd, cleanupCallback) {
          if (err) throw err;
      
      progress(request('https://storage.googleapis.com/moquality/releases/prod-recorder/latest/recorder-' + os.platform() + '-x64.tar.gz'))
        .on('progress', state => {
          process.stdout.write(parseInt(state['percent'] * 100) + ' % \r');
        })
        .on('error', err => console.log(err))
        .on('end', () => {
          console.log('Download Complete.')
          var install_path = os.homedir()
          if (os.platform() == 'darwin') {
            install_path = path.join(os.homedir(), 'Applications');
          }
          console.log('Installing in ' + install_path + '...');
          targz.decompress({
              src: tmp_file,
              dest: install_path
          }, function(err){
              if(err) {
                  console.log(err);
              } else {
                  console.log("Done!");
              }
          });
        })
        .pipe(fs.createWriteStream(tmp_file))

    });
  }

}
  
DownloadCommand.description = `Download Recorder`

DownloadCommand.flags = {
}

module.exports = DownloadCommand
  