const {Command, flags} = require('@oclif/command')
var config = require('../lib/config');
var client = require('../lib/client');
const ctable = require('console.table');

class ReportStatusCommand extends Command {
    async run() {
        var api_key = null;
        const {flags} = this.parse(ReportStatusCommand)
        if (flags.app == null) {
            console.log("app is null");
            return;
        }
        config().then(function(config) {
            api_key = config['api_key'];
            return client.get('apps/'+flags.app, {
                headers: {'X-API-KEY': api_key}
            });
        }).then(function(response) {
            var versions = response.data.versions;
            var labels = response.data.labels;
            console.log("Selecting " + labels[labels.length-1]);
            var version = versions[versions.length-1]
            return client.get('apps/'+flags.app +'/version/'+version+'/test/report', {
                headers: {'X-API-KEY': api_key}
            });
        }).then(function (response) {
            var table_data = [];
            response.data.forEach(function(report) {
                table_data.push({
                    'name': report.report_name,
                    'status': report.status,
                });
            });
                    
            const table = ctable.getTable(table_data);
            console.log(table);
        }).catch(function (err) {
            console.log(err.response.data.message || err.message);
        }, function (err) {
            console.log(err.message);
        });
      }
  }
  
  ReportStatusCommand.description = `Check status of tests on the latest uploaded version`
  
  ReportStatusCommand.flags = {
    app: flags.string({char: 'a', description: 'app id'}),
  }
  
  module.exports = ReportStatusCommand
  