const {Command, flags} = require('@oclif/command')
var config = require('../lib/config');
var client = require('../lib/client');
const ctable = require('console.table');

class SuitesCommand extends Command {
    async run() {
        const {flags} = this.parse(SuitesCommand)
        if (flags.app == null) {
            console.log("app is null");
            return;
        }
        config().then(function(config) {
            return client.get('apps/'+ flags.app +'/suites', {
                headers: {'X-API-KEY': config['api_key']}
            });
        }).then(function (response) {
            if(response.data.length == 0) {
                console.log("No test suites were created for this App");
                return
            }
            var table_data = [];
            response.data.forEach(function(suite) {
                table_data.push({
                    'id': suite.id,
                    'name': suite.suite_name,
                });
            });
            const table = ctable.getTable(table_data);
            console.log(table);

        }).catch(function (err) {
            console.log(err.response.data.message || err.message);
        }, function (err) {
            console.log(err.message);
        });
      }
  }
  
  SuitesCommand.description = `Show Tests`
  
  SuitesCommand.flags = {
    app: flags.string({char: 'a', description: 'app id'}),
  }
  
  module.exports = SuitesCommand
  