const {Command, flags} = require('@oclif/command')
var config = require('../lib/config');
var client = require('../lib/client');
const ctable = require('console.table');

class TestsCommand extends Command {
    async run() {
        const {flags} = this.parse(TestsCommand)
        if (flags.app == null) {
            console.log("app is null");
            return;
        }
        config().then(function(config) {
            return client.get('apps/'+ flags.app +'/tests', {
                headers: {'X-API-KEY': config['api_key']}
            });
        }).then(function (response) {
            var table_data = [];
            response.data.forEach(function(test) {
                table_data.push({
                    'name': test.test_name,
                    'description': test.test_description,
                    'device': test.device.name,
                });
            });
            
            const table = ctable.getTable(table_data);
            console.log(table);
        }).catch(function (err) {
                console.log(err.response.data.message || err.message);
        }, function (err) {
            console.log(err.message);
        });
      }
  }
  
  TestsCommand.description = `Show Tests`
  
  TestsCommand.flags = {
    app: flags.string({char: 'a', description: 'app id'}),
  }
  
  module.exports = TestsCommand
  