const {Command, flags} = require('@oclif/command')
var config = require('../lib/config');
var client = require('../lib/client');

class UserCommand extends Command {
    async run() {
        config().then(function(config) {
            return client.get('user', {
                headers: {'X-API-KEY': config['api_key']}
            });
        }).then(function (response) {
            console.log("Name: " + response.data.display_name);
            console.log("Email: " + response.data.email);
            console.log("Company: " + response.data.company);
            console.log("Apps: " + response.data.apps.length);
            console.log("API Key: " + response.data.api_key);
        }).catch(function (err) {
            console.log(err.response.data.message || err.message);
        }, function (err) {
            console.log(err.response.data.message || err.message);
        });
      }
  }
  
  UserCommand.description = `Show User Info`
  
  UserCommand.flags = {
  }
  
  module.exports = UserCommand
  